API ReferenceContracts

Get Payment Recipient

GET
/v2/contracts/{contractNumber}/payments/{clientReference}/recipient

This API call allows a client to get a payment's recipient.

You can pass in clientReference or XePaymentId via the clientReference path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

contractNumber*string
clientReference*string

Query Parameters

accountNumber?string

Client account number

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/contracts/string/payments/string/recipient"
{  "recipient": {    "entity": {      "company": {        "address": {          "country": "GB",          "line1": "1 Apartment name",          "line2": "Railway Terrace",          "locality": "Slough",          "postcode": "string",          "region": "Berkshire,QLD,TX"        },        "emailAddress": "string",        "idNumber": "string",        "idType": "string",        "industryTypeCode": "string",        "name": "string",        "phoneNumber": "string",        "taxNumber": "string"      },      "consumer": {        "address": {          "country": "GB",          "line1": "1 Apartment name",          "line2": "Railway Terrace",          "locality": "Slough",          "postcode": "string",          "region": "Berkshire,QLD,TX"        },        "emailAddress": "string",        "familyName": "string",        "givenNames": "string",        "idNumber": "string",        "idType": "string",        "mobileNumber": "string",        "phoneNumber": "string",        "taxNumber": "string",        "title": "string"      },      "isDeactivated": false,      "type": "Company"    },    "payoutMethod": {      "bank": {        "account": {          "accountName": "ACME",          "accountNumber": "12345674",          "accountType": "string",          "bic": "MIDLGB22XXX",          "branchNumber": "string",          "country": "GB",          "iban": "GB26MIDL40051512345674",          "ncc": "string"        },        "intermAccount": {          "accountName": "ACME",          "accountNumber": "12345674",          "bic": "MIDLGB22XXX",          "country": "GB",          "iban": "GB26MIDL40051512345674",          "ncc": "string"        }      },      "type": "BankAccount"    }  },  "recipientId": {    "clientReference": "ACMER1284",    "xeRecipientId": "124863"  },  "type": "NonRegistered"}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help